function setupParts() {
    if (setupParts.called) return;
    setupParts.called = true;
    CreateInfoButton('info', { foregroundStyle: 'white', onclick: 'showBack', backgroundStyle: 'white', frontID: 'front' });
    CreateButton('backHistory', { rightImageWidth: 1, leftImageWidth: 8, text: unescape('%u25C0') });
    CreateButton('forwardHistory', { rightImageWidth: 8, leftImageWidth: 1, text: unescape('%u25BA') });
    CreateText('currentDictionary', { text: 'Select Dictionary (on backside)' });
    CreateButton('goMDict', { onclick: 'onMDictButtonClick', rightImageWidth: 3, leftImageWidth: 3, text: 'MDict' });
    CreateText('text3', { text: 'Active Dictionary:' });
    CreateText('text1', { text: unescape('%u00A9 Uncle MiF%2C 2007') });
    CreateButton('prefsDone', { onclick: 'showFront', rightImageWidth: 3, leftImageWidth: 3, text: 'Done' });
}
window.addEventListener('load', setupParts, false);
